%define upstreamversion 1.0

Summary: Image browser and viewer
Name: geeqie
Version: 1.0
Release: 18%{?dist}
License: GPLv3
Group: User Interface/X
# svn + autogen
#Source: geeqie-1.0alpha2-svn-1341.tgz
Source: http://downloads.sf.net/sourceforge/geeqie/%{name}-%{upstreamversion}.tar.gz
URL: http://geeqie.sourceforge.net/

# in upstream patch tracker
Patch0: geeqie-1.0-lfs-autoconf.patch
BuildRequires: autoconf
# reported upstream
Patch1: geeqie-1.0-exif-filecache.patch
# bz 632243, reported upstream
Patch2: geeqie-1.0-sidecars-case.patch
#
Patch3: geeqie-1.0-vflist-refresh.patch
# bz 728802
Patch4: geeqie-1.0-exif-728802.patch
# nadvornik master tree
Patch5: geeqie-1.0-filedata-compare.patch
# upstream stable tree
Patch6: geeqie-1.0-copy-chown.patch
Patch7: geeqie-1.0-ui_pathsel.patch
# add -Wl,--as-needed without disturbing %%configure macro
# this touches both Makefile.in and Makefile.am as autoreconf is used
Patch8: geeqie-1.0-LDFLAGS.patch

BuildRequires: gtk2-devel
BuildRequires: lcms-devel
BuildRequires: exiv2-devel
BuildRequires: lirc-devel
BuildRequires: gettext intltool desktop-file-utils
BuildRequires: gnome-doc-utils

# for the included plug-in scripts
BuildRequires: exiv2 fbida ImageMagick ufraw zenity
Requires: exiv2 fbida ImageMagick ufraw zenity

# Experimental, still disabled by default.
#BuildRequires: libchamplain-gtk-devel >= 0.4

%if 0%{?fedora} > 13
# Replace GQView last stable release in Fedora space,
# plus allow for it to return if a higher version.
# Stalled upstream GQView development is at 2.1.5.
Obsoletes: gqview < 2.0.4-13
%endif

%description
Geeqie has been forked from the GQview project with the goal of picking up
development and integrating patches. It is an image viewer for browsing
through graphics files. Its many features include single click file
viewing, support for external editors, previewing images using thumbnails,
and zoom.


%prep
%setup -q -n %{name}-%{upstreamversion}
# guard against missing executables at (re)build-time,
# these are needed by the plug-in scripts
for f in exiftran exiv2 mogrify ufraw-batch zenity ; do
    type $f || exit -1
done
%patch0 -p1 -b .lfs-autoconf
%patch1 -p1 -b .exif-filecache
%patch2 -p1 -b .sidecars-case
%patch3 -p1 -b .vflist-refresh
%patch4 -p1 -b .exif-728802
%patch5 -p1 -b .filedata-compare
%patch6 -p1 -b .copy-chown
%patch7 -p1 -b .ui_pathsel
%patch8 -p1 -b .LDFLAGS


%build
autoreconf -f
%configure --enable-lirc
make %{?_smp_mflags}


%install
mkdir -p ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{upstreamversion}/html
make DESTDIR=${RPM_BUILD_ROOT} INSTALL="install -p" install

# guard against missing HTML tree
[ ! -f ${RPM_BUILD_ROOT}%{_datadir}/doc/%{name}-%{upstreamversion}/html/index.html ] && exit -1

# We want these _docdir files in GQ_HELPDIR.
install -p -m 0644 AUTHORS COPYING NEWS README* TODO \
    ${RPM_BUILD_ROOT}%{_datadir}/doc/%{name}-%{upstreamversion}
rm -f ${RPM_BUILD_ROOT}%{_datadir}/doc/%{name}-%{upstreamversion}/ChangeLog

desktop-file-install \
    --delete-original \
    --vendor fedora \
    --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
    ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%find_lang %name


%post
update-desktop-database &> /dev/null || :


%postun
update-desktop-database &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc %{_datadir}/doc/%{name}*
%{_bindir}/%{name}*
%{_prefix}/lib/%{name}/
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/fedora-%{name}.desktop


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May  3 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-17
- Complete previous rebuild that failed unexpectedly because html docdir in
  buildroot had not been created (Rawhide only). Now create it explicitly
  at beginning of %%install.

* Wed May 02 2012 Rex Dieter <rdieter@fedoraproject.org> - 1.0-16
- rebuild (exiv2)

* Fri Jan  6 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-15
- rebuild for GCC 4.7 as requested

* Sat Nov  5 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-14
- Link with --as-needed.

* Sun Oct 16 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-13
- Cherry-pick a few commits (from Vladimir Nadvornik, Klaus Ethgen
  and Vladislav Naumov). With the modified filelist_sort_compare_filedata
  method, Geeqie passes another stress test I've created in order
  to track down rare file_data_unref crashes.

* Fri Oct 14 2011 Rex Dieter <rdieter@fedoraproject.org> - 1.0-12
- rebuild (exiv2)

* Tue Aug  9 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-11
- Patch another place where not to exif_free_fd NULL ptr (#728802).

* Fri Apr 15 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-10
- Let's see how we do with a simpler vflist_setup_iter_recursive().

* Sat Mar  5 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-9
- Patch filedata.c check_case_insensitive_ext to accept the first
  tested file name ext and not accept multiple combinations due to
  case-insensitive fs.

* Fri Mar  4 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-8.test1
- Patch filedata.c check_sidecars to avoid adding a file as its own
  sidecar. Case-insensitive sidecar file name generation may not be
  enough if a fs stat is used in conjunction with a case-insensitive fs.

* Tue Feb 22 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-8
- Fix file cache NULL pointer crash in exif-common.c (#679256).
- Patch and build with large file support.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 02 2011 Rex Dieter <rdieter@fedoraproject.org> - 1.0-6
- rebuild (exiv2)

* Thu Sep  9 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-5
- Make gqview "Obsoletes" tag conditional: for Fedora newer than 13.

* Mon Jul 26 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-4
- Replace old gqview < 2.0.4-13 with geeqie.

* Mon May 31 2010 Rex Dieter <rdieter@fedoraproject.org> - 1.0-3 
- rebuild (exiv2)

* Tue Apr  6 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-2
- require exiv2, ImageMagick, fbida, ufraw, zenity for plug-in scripts
- BR gnome-doc-utils for HTML documentation (and "Help > Contents" menu)

* Fri Feb 19 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-1
- update to 1.0 final release
 
* Mon Jan 04 2010 Rex Dieter <rdieter@fedoraproject.org> - 1.0-0.20.beta2
- rebuild (exiv2)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.19.beta2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul  6 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-0.18.beta2
- update to beta2 tarball
- BR intltool
- print-pagesize.patch enabled in 1.0beta2 (#222639)

* Thu May 14 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-0.16.beta1
- update to beta1 tarball

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.15.alpha3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb  7 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-0.14.alpha3
- fetch src/utilops.c change from svn 1385 for metadata crash-fix

* Wed Jan 28 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-0.13.alpha3
- ignore .helpdir/.htmldir values in geeqierc to fix "Help"
- add --enable-lirc again to build with LIRC

* Mon Jan 26 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-0.12.alpha3
- update to alpha3 tarball

* Thu Jan 22 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-0.11.alpha2.1341svn
- update to svn 1341 for pre-alpha3 testing (image metadata features)
- drop obsolete patches remote-blank and float-layout

* Wed Dec 24 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-0.11.alpha2.1307svn
- update to svn 1307 for "Safe delete"

* Thu Dec 18 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-0.11.alpha2.1299svn
- drop desktop file Exec= invocation patch (no longer necessary)

* Thu Dec 18 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-0.10.alpha2.1299svn
- update to svn 1299 for new exiv2
- disable LIRC support which is broken

* Thu Dec 18 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.0-0.9.alpha2
- respin (exiv2)

* Tue Aug 12 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-0.8.alpha2
- fix float layout for --blank mode

* Mon Aug 11 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-0.7.alpha2
- fix options --blank and -r file:

* Thu Jul 31 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-0.6.alpha2
- update to 1.0alpha2 (now GPLv3)
- build with new LIRC support

* Wed Jun 25 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.0-0.5.alpha1 
- respin for exiv2

* Thu May  8 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-0.4.alpha1
- scriptlets: run update-desktop-database without path
- drop dependency on desktop-file-utils
- drop ChangeLog file as it's too low-level

* Fri Apr 25 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0-0.3.alpha1
- package GQview fork "geeqie 1.0alpha1" based on Fedora gqview.spec
- BR lcms-devel exiv2-devel
- update -desktop and -editors patch
- update spec file with more dir macros

